Skip to content

Wired Network (Template) ​

63 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getSupportPortsDeviceTemplatesGETGet grid devices templates that support ports config.
getInternetTemplateGETGet internet info
getInternetBasicPortInfoGETGet site template internet basic info
modifyInternetBasicPortInfoPUTModify site template internet basic configuration
getInternetLoadBalanceGETGet site template internet load balance config
modifyInternetLoadBalancePUTModify site template internet load balance config
getLoadBalanceWeightStatusTemplateGETCheck Wan Loadbalance status
getLanNetworkTemplateListGETGet LAN network template list
createLanNetworkTemplatePOSTCreate LAN network template
deleteLanNetworkTemplateDELETEDelete LAN network template
getLanNetworkTemplateGETGet LAN network template
modifyLanNetworkTemplatePATCHModify LAN network template
getAllLanNetworksTemplateGETGet all network templates for the omada id and site template id
getInterfaceLanNetworkV2_1GETGet all "single"/"multi" interface lan network template
getLanProfileTemplateListGETGet LAN profile template list
createLanProfileTemplatePOSTCreate new LAN profile template
deleteLanProfileTemplateDELETEDelete an existing LAN profile template
modifyLanProfileTemplatePATCHModify a LAN profile template
getUseLanProfileESTemplateListGETGet Use LAN profile ES template list
createVlansPOSTBatch create vlans template
getLanDnsTemplateListGETGet LAN Dns template list
createLanDnsTemplatePOSTCreate LAN Dns template
deleteLanDnsTemplateDELETEDelete LAN Dns template
modifyLanDnsTemplatePATCHModify LAN Dns template
getAutoEffectDevicesTemplateWhenModifyPOSTGet auto effect devices when modifying network
getAutoSelectDevicesTemplateWhenModifyPOSTGet auto select devices when modifying network
checkTemplateParamAndGetPreConfigWhenModifyPOSTCheck all parameters and generate configuration when modifying the network template
confirmModifyVlanNetworkTemplatePUTConfirm modify lan network template
getSelectDeviceTemplatePortsInfoWhenModifyPOSTGet the port information of the selected device templates when modifying the network for site template
checkNetworkTemplateParamWhenModifyPOSTCheck basic parameters when modifying the network
checkTemplatePortBindingParamWhenModifyPOSTCheck port binding when modifying network for site template
getVlanNetworkAffectedDeviceGETGet device template list that use the network
getTemplateGridVlanNetworkAffectedDevicePortsGETGet the ports of devices template that use the network
getVlanNetworkAffectedSsidGETGet grid ssid template list that use the vlan
getAutoEffectDevicesTemplateWhenCreatePOSTGet auto effect devices when creating network
checkTemplateParamAndGetPreConfigPOSTCheck all parameters and generate configuration when creating network template
confirmCreateVlanNetworkTemplatePOSTConfirm create lan network template
getGridSupportVlanNetworkDevicesBySiteTemplateGETGet device template list that can be dhcp server
getSelectDeviceTemplatePortsInfoPOSTGet the port information of the selected device templates when creating network for site template
checkNetworkTemplateParamWhenCreatePOSTCheck basic parameters when creating network template
checkTemplatePortBindingParamWhenCreatePOSTCheck selected ports when creating network for site template
getAvailableVirtualWanTemplateGETQuery available virtual WAN list for template
getSpeedTestV2SettingTemplateGETGet SpeedTest Setting Template
modifySpeedTestV2SettingTemplatePOSTModify SpeedTest Setting Template
getGridVirtualWanTemplateGETQuery virtual WAN list template
createVirtualWanTemplatePOSTCreate virtual WAN template
deleteVirtualWanDELETEDelete virtual WAN template
modifyVirtualWanTemplatePATCHModify virtual WAN template
modifyVirtualWanStatusTemplatePATCHModify virtual WAN status template
checkVirtualWanUsedGETCheck Virtual Wan Used
getAvailableWanPortsGETGet available wan ports
modifyWanPortsTemplatePATCHModify Wan Ports
getAllValidVlansInSiteForSwitchOuiBasedVlanGETGet valid site template vlanList for switch oui based vlan
checkWanLanStatusGETCheck template WAN-LAN status
getWanPortsMaxSpeedGETGet wan ports max speed
modifySinglePortSettingTemplatePATCHModify Wan Port Settings Template
batchIsolateLanNetworkPOSTBatch isolate network
getAllInterfacesForBatchIsolateGETGet interface Grid
getOswLanProfileTemplateListGETGet switch profile template list
createOswLanProfileTemplatePOSTCreate new switch profile template
deleteOswLanProfileTemplateDELETEDelete an existing switch profile template
modifyOswLanProfileTemplatePATCHModify a switch profile template
getLanNetworkTemplateListV3GETGet LAN network template list

getSupportPortsDeviceTemplates ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/support-ports

Get grid devices templates that support ports config.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSupportPortsDeviceTemplates",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get grid devices templates that support ports config.
The interface requires one of the permissions:
Global Site Template Manager View Only

getInternetTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet

Get internet info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getInternetTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get internet info On site template.
The interface requires one of the permissions:
Global Site Template Manager View Only

getInternetBasicPortInfo ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/basic-info

Get site template internet basic info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getInternetBasicPortInfo",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template basic info. All port and port-related configuration will take effect only the The parameter [preConfiguration] is true.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyInternetBasicPortInfo ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/basic-info

Modify site template internet basic configuration

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema InternetBaseConfigTemplateOpenApiVO

FieldTypeRequiredDescription
wanPortListarray<string>yesList of enabled WAN port IDs, the valid port IDs can be obtained from "Get site template internet basic info".
intervalintegernoOnline detection interval(second). 0 means disable. It should be within the range of 0–3600.
json
// omada_call_operation
{
  "operationId": "modifyInternetBasicPortInfo",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template internet basic configuration.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33400 - Current site has no WAN.
-33531 - This WAN port has been used by other networks.

getInternetLoadBalance ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/load-balance

Get site template internet load balance config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getInternetLoadBalance",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template internet load balance config.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyInternetLoadBalance ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/load-balance

Modify site template internet load balance config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema WanLoadBalanceOpenApiVO

FieldTypeRequiredDescription
weightsarray<integer>yesLoad Balancing Weights,item of weights should be within the range of 1 to the max int value(2147483647). It is sorted by port ID.
appOptRoutingbooleanyesApplication Optimized Routing
linkBackupbooleanyesLink Backup
methodstringnoeffective only for 'linkBackup: true'
primaryWansarray<string>noPrimary WAN port IDs. It is required when [linkBackup] is true.
backupWanstringnoBackup WAN ID. It is required when [linkBackup] is true.
backupModeintegernoIt is required when [linkBackup] is true. 0: The system will try to forward the traffic via the backup WAN port when primary WAN fails. Even if the primary WAN is recovered, it will not switch back unless the backup WAN fails; 1: Traffic is always forwarded through the primary WAN port unless it fails. The system will try to forward the traffic via the backup WAN port when it fails, and switch back when it recovers.
modeintegernoIt is required when [linkBackup] is true. 0: Enable backup link when any primary WAN fails. 1: Enable backup link when all primary WANs fail. 2: Timing
timeRangeIdstringnoTime Range ID. It is required when [mode] is timing.
virtualWanWeightsarray<VirtualWanWeightOpenApiVO>novirtual wan load balance
json
// omada_call_operation
{
  "operationId": "modifyInternetLoadBalance",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template internet load balance config.
The interface requires one of the permissions:
Global Site Template Manager Modify

getLoadBalanceWeightStatusTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/load-balance/status

Check Wan Loadbalance status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getLoadBalanceWeightStatusTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Check Wan Loadbalance weight modified or not
The interface requires one of the permissions:
Global Site Template Manager View Only

getLanNetworkTemplateList ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks

Get LAN network template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getLanNetworkTemplateList",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get LAN network template list.(Pagination)
The interface requires one of the permissions:
Global Site Template Manager View Only

createLanNetworkTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks

Create LAN network template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema LanNetworkTemplateOpenApiVO

FieldTypeRequiredDescription
namestringyesLAN network name should contain 1 to 128 characters.
purposeintegeryesLAN network purpose should be a value as follows: 0: VLAN; 1: interface
interfaceIdsarray<string>noGateway LAN port IDs, which are acquired from "Check WAN/LAN status"
vlanTypeintegernoWhen purpose is interface, VLANType should be a value as follows: 0: Single; 1: Multiple
vlansstringnoWhen purpose is "interface" and VLANType is 1, batch create VLANs. VLAN format: 200, 1-100.
vlanintegernoOnly Valid when vlanType is 0. Vlan should be within the range of 1-4094.
applicationintegernoEffective device type should be a value as follows: 0: Gateway and Switch; 1: Switch
gatewaySubnetstringnoWhen purpose is interface, gateway subnet is needed. Format: IP/Mask
dhcpSettingsVODhcpSettingsConfigTemplateOpenApiVOno(DhcpSettingsConfigTemplateOpenApiVO not expanded; call omada_get_schema "DhcpSettingsConfigTemplateOpenApiVO")
domainstringnoThe domain of this network
igmpSnoopEnablebooleanyesEnable IGMP snooping
mldSnoopEnablebooleannoEnable MLD snooping
dhcpL2RelayEnablebooleannoThe switch of DHCP L2 relay
dhcpGuardDhcp Servers settingno(Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting")
dhcpv6GuardDhcpv6 Servers settingno(Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting")
lanNeworkIpv6ConfigLanNetworkIpv6ConfigTemplateOpenApiVOno(LanNetworkIpv6ConfigTemplateOpenApiVO not expanded; call omada_get_schema "LanNetworkIpv6ConfigTemplateOpenApiVO")
allLanbooleannoWhen Internet pre-config is closed or Internet pre-config is Universal, allLAN is "true"; after adopting gateway, allLAN is "false".
json
// omada_call_operation
{
  "operationId": "createLanNetworkTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create lan network template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33500 - Network name already existed.
-33501 - This VLAN ID is already used by the WAN interface.
-33506 - This Profile name already exists.
-33506 - This Profile name already exists.
-33544 - The number of interfaces has reached the limit.
-33546 - The number of networks has reached the limit of 4094.
-33547 - The number of VLANs has reached the limit of gateway.
-33548 - The number of VLANs has reached the limit of switch.
-33580 - The device does not support multiple VLANs.
-33581 - The device does not support RA.
-33582 - The device does not support custom DHCP Options.
-33583 - The device does not support DHCP Next Server.
-33584 - The device does not support ARP Detection.

deleteLanNetworkTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/{networkId}

Delete LAN network template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID
json
// omada_call_operation
{
  "operationId": "deleteLanNetworkTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>"
  }
}
Details, permissions and error codes

Delete LAN network template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.
-33505 - Default LAN cannot be deleted.
-35200 - The LAN network referenced by the IDS/IPS-Allow List cannot be deleted.

getLanNetworkTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/{networkId}

Get LAN network template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID
json
// omada_call_operation
{
  "operationId": "getLanNetworkTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>"
  }
}
Details, permissions and error codes

Get LAN network template.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyLanNetworkTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/{networkId}

Modify LAN network template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID

Request body — application/json (required) — schema LanNetworkTemplateOpenApiVO

FieldTypeRequiredDescription
namestringyesLAN network name should contain 1 to 128 characters.
purposeintegeryesLAN network purpose should be a value as follows: 0: VLAN; 1: interface
interfaceIdsarray<string>noGateway LAN port IDs, which are acquired from "Check WAN/LAN status"
vlanTypeintegernoWhen purpose is interface, VLANType should be a value as follows: 0: Single; 1: Multiple
vlansstringnoWhen purpose is "interface" and VLANType is 1, batch create VLANs. VLAN format: 200, 1-100.
vlanintegernoOnly Valid when vlanType is 0. Vlan should be within the range of 1-4094.
applicationintegernoEffective device type should be a value as follows: 0: Gateway and Switch; 1: Switch
gatewaySubnetstringnoWhen purpose is interface, gateway subnet is needed. Format: IP/Mask
dhcpSettingsVODhcpSettingsConfigTemplateOpenApiVOno(DhcpSettingsConfigTemplateOpenApiVO not expanded; call omada_get_schema "DhcpSettingsConfigTemplateOpenApiVO")
domainstringnoThe domain of this network
igmpSnoopEnablebooleanyesEnable IGMP snooping
mldSnoopEnablebooleannoEnable MLD snooping
dhcpL2RelayEnablebooleannoThe switch of DHCP L2 relay
dhcpGuardDhcp Servers settingno(Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting")
dhcpv6GuardDhcpv6 Servers settingno(Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting")
lanNeworkIpv6ConfigLanNetworkIpv6ConfigTemplateOpenApiVOno(LanNetworkIpv6ConfigTemplateOpenApiVO not expanded; call omada_get_schema "LanNetworkIpv6ConfigTemplateOpenApiVO")
allLanbooleannoWhen Internet pre-config is closed or Internet pre-config is Universal, allLAN is "true"; after adopting gateway, allLAN is "false".
json
// omada_call_operation
{
  "operationId": "modifyLanNetworkTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify LAN network template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33500 - Network name already existed.
-33501 - This VLAN ID is already used by the WAN interface.
-33503 - This network does not exist.
-33506 - This Profile name already exists.
-33506 - This Profile name already exists.
-33527 - The interface of Default LAN cannot be modified.
-33544 - The number of interfaces has reached the limit.
-33545 - The VLAN Type of Default LAN cannot be modified.
-33580 - The device does not support multiple VLANs.
-33581 - The device does not support RA.
-33582 - The device does not support custom DHCP Options.
-33583 - The device does not support DHCP Next Server.
-33584 - The device does not support ARP Detection.
-34235 - The VLAN cannot be set to 1 since it is used in OUI Based VLAN rules which do not allow VLAN 1.

getAllLanNetworksTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/all

Get all network templates for the omada id and site template id

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getAllLanNetworksTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get all network templates for the omada id and site template id
The interface requires one of the permissions:
Global Site Template Manager View Only

getInterfaceLanNetworkV2_1 ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/interface

Get all "single"/"multi" interface lan network template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
typequeryintegernoInterface vlan type. When "type" is 0, return "single" interface lan network, else return "single"/"multi" interface lan network
json
// omada_call_operation
{
  "operationId": "getInterfaceLanNetworkV2_1",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get all "single"/"multi" interface lan network template
The interface requires one of the permissions:
Global Site Template Manager View Only

getLanProfileTemplateList ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles

Get LAN profile template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getLanProfileTemplateList",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get LAN profile template list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createLanProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles

Create new LAN profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema LanProfileConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesName should contain 1 to 128 characters.
poeintegeryesPoE should be a value as follows: 0: off, 1: on, 2: "do not modify"
nativeNetworkIdstringyesNative network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
tagNetworkIdsarray<string>noTag network IDs
untagNetworkIdsarray<string>noUntag network IDs
voiceNetworkIdstringnoVoice Network ID
dot1xintegeryesDot1x should be a value as follows: 0: force unauthorized, 1: force authorized, 2:auto
portIsolationEnablebooleanyesPort-isolation enable status
lldpMedEnablebooleanyesLLDP-MED enable status
bandWidthCtrlTypeintegeryesBandWidthCtrlType should be a value as follows: 0: off, 1: rate limit, 2: storming control
stormCtrlStormCtrlVOno(StormCtrlVO not expanded; call omada_get_schema "StormCtrlVO")
bandCtrlBandCtrlVOno(BandCtrlVO not expanded; call omada_get_schema "BandCtrlVO")
spanningTreeEnablebooleanyesSpanningTree enable status
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleanyesLoopbackDetect enable status
eeeEnablebooleannoEEE enable status
flowControlEnablebooleannoFlowControl enable status
loopbackDetectVlanBasedEnablebooleannoLoopbackDetectVLANBased enable status
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
dhcpL2RelaySettingsDhcpL2RelayVOno(DhcpL2RelayVO not expanded; call omada_get_schema "DhcpL2RelayVO")
fastLeaveEnablebooleannoIGMP Snooping fast leave enable status
dot1pPriorityintegerno802.1p Priority
trustModeintegernoTrust mode
json
// omada_call_operation
{
  "operationId": "createLanProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new LAN profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

deleteLanProfileTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles/{profileId}

Delete an existing LAN profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesLAN profile ID
json
// omada_call_operation
{
  "operationId": "deleteLanProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  }
}
Details, permissions and error codes

Delete an existing LAN profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33507 - This profile does not exist.

modifyLanProfileTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles/{profileId}

Modify a LAN profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyeslanProfileId

Request body — application/json (required) — schema LanProfileConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesName should contain 1 to 128 characters.
poeintegeryesPoE should be a value as follows: 0: off, 1: on, 2: "do not modify"
nativeNetworkIdstringyesNative network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
tagNetworkIdsarray<string>noTag network IDs
untagNetworkIdsarray<string>noUntag network IDs
voiceNetworkIdstringnoVoice Network ID
dot1xintegeryesDot1x should be a value as follows: 0: force unauthorized, 1: force authorized, 2:auto
portIsolationEnablebooleanyesPort-isolation enable status
lldpMedEnablebooleanyesLLDP-MED enable status
bandWidthCtrlTypeintegeryesBandWidthCtrlType should be a value as follows: 0: off, 1: rate limit, 2: storming control
stormCtrlStormCtrlVOno(StormCtrlVO not expanded; call omada_get_schema "StormCtrlVO")
bandCtrlBandCtrlVOno(BandCtrlVO not expanded; call omada_get_schema "BandCtrlVO")
spanningTreeEnablebooleanyesSpanningTree enable status
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleanyesLoopbackDetect enable status
eeeEnablebooleannoEEE enable status
flowControlEnablebooleannoFlowControl enable status
loopbackDetectVlanBasedEnablebooleannoLoopbackDetectVLANBased enable status
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
dhcpL2RelaySettingsDhcpL2RelayVOno(DhcpL2RelayVO not expanded; call omada_get_schema "DhcpL2RelayVO")
fastLeaveEnablebooleannoIGMP Snooping fast leave enable status
dot1pPriorityintegerno802.1p Priority
trustModeintegernoTrust mode
json
// omada_call_operation
{
  "operationId": "modifyLanProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a LAN profile template template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33507 - This profile does not exist.

getUseLanProfileESTemplateList ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles/{profileId}/es

Get Use LAN profile ES template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesLAN profile ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getUseLanProfileESTemplateList",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  }
}
Details, permissions and error codes

Get Use LAN profile ES template list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createVlans ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-vlans

Batch create vlans template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema Create VLANs

FieldTypeRequiredDescription
namestringyesLAN network name should contain 1 to 128 characters.
vlansstringyesSupport batch VLAN creation. VLAN format: 200, 1-100.
igmpSnoopEnablebooleanyesEnable IGMP snooping
dhcpL2RelayEnablebooleannoThe switch of DHCP L2 relay
dhcpGuardDhcp Servers settingno(Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting")
mldSnoopEnablebooleannoEnable MLD snooping
dhcpv6GuardDhcpv6 Servers settingno(Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting")
applicationintegernoEffective device type should be a value as follows: 0: Gateway and Switch; 1: Switch
json
// omada_call_operation
{
  "operationId": "createVlans",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch create vlans template. Format support: 200, 1-100.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33500 - Network name already existed.
-33501 - This VLAN ID is already used by the WAN interface.
-33506 - This Profile name already exists.
-33547 - The number of VLANs has reached the limit of gateway.
-33548 - The number of VLANs has reached the limit of switch.

getLanDnsTemplateList ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan/dns

Get LAN Dns template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getLanDnsTemplateList",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get LAN Dns template list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createLanDnsTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan/dns

Create LAN Dns template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema LanDnsOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesoff:false, on: true
namestringyesName of Lan Dns Item
domainstringyesEnter the domain name.
aliasesarray<string>noIf a server provides different services and has multiple domain names, you can configure them in the Alias Domain Name.
typeintegeryesThere are three options, IP:0, CNAME:1, and FORWARD:2.
ipAddressesarray<string>noWhen the Type is IP, it is the IPv4 address of the returned DNS response.
ipv6Addressesarray<string>noWhen the Type is IP, it is the IPv6 address of the returned DNS response.
cnamestringnoWhen Type is CNAME, set the domain name to which Domain Name and Alias Domain Name need to be mapped.
dnsServersarray<string>noWhen the Type is FORWARD, set the Domain Name and Alias Domain Name to be forwarded to a specific DNS Server, up to two DNS Servers can be configured.
lanNetworkIdsarray<string>noThe ids of Lan Network. When the Type is IP or CNAME, it is the LAN network to which the rule applies.
customTtlbooleannoWhen custom TTL is activated, TTL will take effect as custom value. Otherwise, TTL will take effect as default(3600).
ttlintegernoThe amount of time DNS information is allowed to be cached. The range of TTL should be 1-86400. It is recommended to use the default TTL for each record.
json
// omada_call_operation
{
  "operationId": "createLanDnsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create lan Dns template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35300 - The LAN DNS does not exist.
-35301 - The number of LAN DNS entries has reached the limit.
-35302 - The configured IP addresses has reached the limit.
-35305 - IP address cannot be empty.
-35306 - There are duplicate IPv4 addresses.
-35307 - There are duplicate IPv6 addresses.
-35308 - CNAME cannot be empty.
-35309 - DNS server cannot be empty.
-35310 - There are duplicate DNS servers.
-35311 - Domain name and alias are duplicate.
-35312 - The gateway does not support LAN DNS.
-35313 - The gateway does not support configuring TTL in LAN DNS.

deleteLanDnsTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan/dns/{dnsId}

Delete LAN Dns template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
dnsIdpathstringyesLAN DNS ID
json
// omada_call_operation
{
  "operationId": "deleteLanDnsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "dnsId": "<dnsId>"
  }
}
Details, permissions and error codes

Delete LAN Dns template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35300 - The LAN DNS does not exist.
-35301 - The number of LAN DNS entries has reached the limit.
-35302 - The configured IP addresses has reached the limit.
-35305 - IP address cannot be empty.
-35306 - There are duplicate IPv4 addresses.
-35307 - There are duplicate IPv6 addresses.
-35308 - CNAME cannot be empty.
-35309 - DNS server cannot be empty.
-35310 - There are duplicate DNS servers.
-35311 - Domain name and alias are duplicate.

modifyLanDnsTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan/dns/{dnsId}

Modify LAN Dns template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
dnsIdpathstringyesLAN DNS ID

Request body — application/json (required) — schema LanDnsOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesoff:false, on: true
namestringyesName of Lan Dns Item
domainstringyesEnter the domain name.
aliasesarray<string>noIf a server provides different services and has multiple domain names, you can configure them in the Alias Domain Name.
typeintegeryesThere are three options, IP:0, CNAME:1, and FORWARD:2.
ipAddressesarray<string>noWhen the Type is IP, it is the IPv4 address of the returned DNS response.
ipv6Addressesarray<string>noWhen the Type is IP, it is the IPv6 address of the returned DNS response.
cnamestringnoWhen Type is CNAME, set the domain name to which Domain Name and Alias Domain Name need to be mapped.
dnsServersarray<string>noWhen the Type is FORWARD, set the Domain Name and Alias Domain Name to be forwarded to a specific DNS Server, up to two DNS Servers can be configured.
lanNetworkIdsarray<string>noThe ids of Lan Network. When the Type is IP or CNAME, it is the LAN network to which the rule applies.
customTtlbooleannoWhen custom TTL is activated, TTL will take effect as custom value. Otherwise, TTL will take effect as default(3600).
ttlintegernoThe amount of time DNS information is allowed to be cached. The range of TTL should be 1-86400. It is recommended to use the default TTL for each record.
json
// omada_call_operation
{
  "operationId": "modifyLanDnsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "dnsId": "<dnsId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify LAN Dns template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35300 - The LAN DNS does not exist.
-35301 - The number of LAN DNS entries has reached the limit.
-35302 - The configured IP addresses has reached the limit.
-35305 - IP address cannot be empty.
-35306 - There are duplicate IPv4 addresses.
-35307 - There are duplicate IPv6 addresses.
-35308 - CNAME cannot be empty.
-35309 - DNS server cannot be empty.
-35310 - There are duplicate DNS servers.
-35311 - Domain name and alias are duplicate.
-35312 - The gateway does not support LAN DNS.
-35313 - The gateway does not support configuring TTL in LAN DNS.

getAutoEffectDevicesTemplateWhenModify ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/auto-effect-devices

Get auto effect devices when modifying network

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID

Request body — application/json (required) — schema LanNetworkOpenApiV3VO

FieldTypeRequiredDescription
namestringyesLAN network name should contain 1 to 128 characters.
vlanTypeintegernoVLANType should be a value as follows: 0: Single; 1: Multiple
vlansstringnoOnly valid when vlanType is 1 and device type is 0 , 1 or 3. When device type is 0 or 3, batch create single vlan, when deviceType is 1 , create bridge vlan. VLAN format: 200, 1-100.
vlanintegernoOnly Valid when vlanType is 0. Vlan should be within the range of 1-4094.
gatewaySubnetstringnoWhen deviceType is 1, gateway subnet is needed. Format: IP/Mask
dhcpSettingsDhcpSettingConfigno(DhcpSettingConfig not expanded; call omada_get_schema "DhcpSettingConfig")
domainstringnoThe domain of this network
igmpSnoopEnablebooleanyesEnable IGMP snooping
mldSnoopEnablebooleannoEnable MLD snooping
dhcpL2RelayEnablebooleannoThe switch of DHCP L2 relay
dhcpGuardDhcp Servers settingno(Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting")
dhcpv6GuardDhcpv6 Servers settingno(Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting")
lanNetworkIpv6ConfigLan network IPV6 configno(Lan network IPV6 config not expanded; call omada_get_schema "Lan network IPV6 config")
arpDetectionEnablebooleannoEnable arp detection. Only valid when deviceType is 1 and gateway supports this feature.
isolationbooleannoWhether network isolated.
qosQueueEnablebooleannoThe switch of QoS queue.
queueIdintegernoQoS queue Id.
deviceTypeintegeryesDHCP Server Device type. It should be a value as follows: 0:External Device 1:gateway 2:switch 3:none
deviceMacstringnoDHCP Server Device mac. Only valid when deviceType is 1 or 2. When deviceType is 1, deviceMac can be empty when there is no gateway in the site.
stackIdstringnoDHCP Server Device stackId. Only valid when deviceType is 2 and the selected device is stack
ipOswIpSettingBriefOpenapiVOno(OswIpSettingBriefOpenapiVO not expanded; call omada_get_schema "OswIpSettingBriefOpenapiVO")
modeintegernoDHCP mode. 0: None 1: DHCP Server 2: DHCP Relay. Only valid when deviceType is 2.
vrfIdstringnoVRF ID
dhcpServerOswDhcpServerOpenApiVOno(OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO")
dhcpRelayOswDhcpRelayOpenApiVOno(OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO")
subnetOverrideEnablebooleannoThe switch status of DHCP Settings Overrides.
json
// omada_call_operation
{
  "operationId": "getAutoEffectDevicesTemplateWhenModify",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get auto effect devices when modifying network.
The interface requires one of the permissions:
Global Site Template Manager View Only

getAutoSelectDevicesTemplateWhenModify ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/auto-select-devices

Get auto select devices when modifying network

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID

Request body — application/json (required) — schema LanNetworkOpenApiV3VO

FieldTypeRequiredDescription
namestringyesLAN network name should contain 1 to 128 characters.
vlanTypeintegernoVLANType should be a value as follows: 0: Single; 1: Multiple
vlansstringnoOnly valid when vlanType is 1 and device type is 0 , 1 or 3. When device type is 0 or 3, batch create single vlan, when deviceType is 1 , create bridge vlan. VLAN format: 200, 1-100.
vlanintegernoOnly Valid when vlanType is 0. Vlan should be within the range of 1-4094.
gatewaySubnetstringnoWhen deviceType is 1, gateway subnet is needed. Format: IP/Mask
dhcpSettingsDhcpSettingConfigno(DhcpSettingConfig not expanded; call omada_get_schema "DhcpSettingConfig")
domainstringnoThe domain of this network
igmpSnoopEnablebooleanyesEnable IGMP snooping
mldSnoopEnablebooleannoEnable MLD snooping
dhcpL2RelayEnablebooleannoThe switch of DHCP L2 relay
dhcpGuardDhcp Servers settingno(Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting")
dhcpv6GuardDhcpv6 Servers settingno(Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting")
lanNetworkIpv6ConfigLan network IPV6 configno(Lan network IPV6 config not expanded; call omada_get_schema "Lan network IPV6 config")
arpDetectionEnablebooleannoEnable arp detection. Only valid when deviceType is 1 and gateway supports this feature.
isolationbooleannoWhether network isolated.
qosQueueEnablebooleannoThe switch of QoS queue.
queueIdintegernoQoS queue Id.
deviceTypeintegeryesDHCP Server Device type. It should be a value as follows: 0:External Device 1:gateway 2:switch 3:none
deviceMacstringnoDHCP Server Device mac. Only valid when deviceType is 1 or 2. When deviceType is 1, deviceMac can be empty when there is no gateway in the site.
stackIdstringnoDHCP Server Device stackId. Only valid when deviceType is 2 and the selected device is stack
ipOswIpSettingBriefOpenapiVOno(OswIpSettingBriefOpenapiVO not expanded; call omada_get_schema "OswIpSettingBriefOpenapiVO")
modeintegernoDHCP mode. 0: None 1: DHCP Server 2: DHCP Relay. Only valid when deviceType is 2.
vrfIdstringnoVRF ID
dhcpServerOswDhcpServerOpenApiVOno(OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO")
dhcpRelayOswDhcpRelayOpenApiVOno(OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO")
subnetOverrideEnablebooleannoThe switch status of DHCP Settings Overrides.
json
// omada_call_operation
{
  "operationId": "getAutoSelectDevicesTemplateWhenModify",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get auto select devices when modifying network.
The interface requires one of the permissions:
Global Site Template Manager View Only

checkTemplateParamAndGetPreConfigWhenModify ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/check

Check all parameters and generate configuration when modifying the network template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID

Request body — application/json (required) — schema ModifyVlanParamOpenApiVO

FieldTypeRequiredDescription
skipEnablebooleannoWhether skip the second step when modify vlan
lanNetworkLanNetworkOpenApiV3VOyes(LanNetworkOpenApiV3VO not expanded; call omada_get_schema "LanNetworkOpenApiV3VO")
deviceConfigSelectPortBindingBriefVOyes(SelectPortBindingBriefVO not expanded; call omada_get_schema "SelectPortBindingBriefVO")
json
// omada_call_operation
{
  "operationId": "checkTemplateParamAndGetPreConfigWhenModify",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Check all parameters and generate configuration when modifying the network template.
The interface requires one of the permissions:
Global Site Template Manager View Only

confirmModifyVlanNetworkTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/confirm

Confirm modify lan network template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID

Request body — application/json (required) — schema ModifyVlanParamOpenApiVO

FieldTypeRequiredDescription
skipEnablebooleannoWhether skip the second step when modify vlan
lanNetworkLanNetworkOpenApiV3VOyes(LanNetworkOpenApiV3VO not expanded; call omada_get_schema "LanNetworkOpenApiV3VO")
deviceConfigSelectPortBindingBriefVOyes(SelectPortBindingBriefVO not expanded; call omada_get_schema "SelectPortBindingBriefVO")
json
// omada_call_operation
{
  "operationId": "confirmModifyVlanNetworkTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Confirm modify lan network template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33546 - The number of networks has reached the limit of 4094.
-33547 - The number of VLANs has reached the limit of gateway.
-33548 - The number of VLANs has reached the limit of switch.
-35914 - The number of VLANs configured with the gateway as the DHCP server has reached the limit.

getSelectDeviceTemplatePortsInfoWhenModify ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/devices/ports

Get the port information of the selected device templates when modifying the network for site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID

Request body — application/json (required) — schema SelectMacsWithVlanVO

FieldTypeRequiredDescription
macsarray<string>yesDevice mac list for Site Setting or device template ID list for Site Template Setting
vlanTypeintegeryesNetwork type, It should be a value as follows : 0:single vlan 1:multi vlan
vlanintegernovlan, only valid when vlanType is 0 (single vlan)
vlansstringnovlans, only valid when vlanType is 1 (multi vlan). VLAN format: 200, 1-100.
json
// omada_call_operation
{
  "operationId": "getSelectDeviceTemplatePortsInfoWhenModify",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get the port information of the selected device templates when modifying the network for site template.
The interface requires one of the permissions:
Global Site Template Manager View Only

checkNetworkTemplateParamWhenModify ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/param-check

Check basic parameters when modifying the network

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID

Request body — application/json (required) — schema LanNetworkOpenApiV3VO

FieldTypeRequiredDescription
namestringyesLAN network name should contain 1 to 128 characters.
vlanTypeintegernoVLANType should be a value as follows: 0: Single; 1: Multiple
vlansstringnoOnly valid when vlanType is 1 and device type is 0 , 1 or 3. When device type is 0 or 3, batch create single vlan, when deviceType is 1 , create bridge vlan. VLAN format: 200, 1-100.
vlanintegernoOnly Valid when vlanType is 0. Vlan should be within the range of 1-4094.
gatewaySubnetstringnoWhen deviceType is 1, gateway subnet is needed. Format: IP/Mask
dhcpSettingsDhcpSettingConfigno(DhcpSettingConfig not expanded; call omada_get_schema "DhcpSettingConfig")
domainstringnoThe domain of this network
igmpSnoopEnablebooleanyesEnable IGMP snooping
mldSnoopEnablebooleannoEnable MLD snooping
dhcpL2RelayEnablebooleannoThe switch of DHCP L2 relay
dhcpGuardDhcp Servers settingno(Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting")
dhcpv6GuardDhcpv6 Servers settingno(Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting")
lanNetworkIpv6ConfigLan network IPV6 configno(Lan network IPV6 config not expanded; call omada_get_schema "Lan network IPV6 config")
arpDetectionEnablebooleannoEnable arp detection. Only valid when deviceType is 1 and gateway supports this feature.
isolationbooleannoWhether network isolated.
qosQueueEnablebooleannoThe switch of QoS queue.
queueIdintegernoQoS queue Id.
deviceTypeintegeryesDHCP Server Device type. It should be a value as follows: 0:External Device 1:gateway 2:switch 3:none
deviceMacstringnoDHCP Server Device mac. Only valid when deviceType is 1 or 2. When deviceType is 1, deviceMac can be empty when there is no gateway in the site.
stackIdstringnoDHCP Server Device stackId. Only valid when deviceType is 2 and the selected device is stack
ipOswIpSettingBriefOpenapiVOno(OswIpSettingBriefOpenapiVO not expanded; call omada_get_schema "OswIpSettingBriefOpenapiVO")
modeintegernoDHCP mode. 0: None 1: DHCP Server 2: DHCP Relay. Only valid when deviceType is 2.
vrfIdstringnoVRF ID
dhcpServerOswDhcpServerOpenApiVOno(OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO")
dhcpRelayOswDhcpRelayOpenApiVOno(OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO")
subnetOverrideEnablebooleannoThe switch status of DHCP Settings Overrides.
json
// omada_call_operation
{
  "operationId": "checkNetworkTemplateParamWhenModify",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Check basic parameters when modifying the network.
The interface requires one of the permissions:
Global Site Template Manager View Only

checkTemplatePortBindingParamWhenModify ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/ports-check

Check port binding when modifying network for site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID

Request body — application/json (required) — schema SelectPortBindingVO

FieldTypeRequiredDescription
portIsolationEnablebooleannoEnable Port Isolation, only valid when creating network.
flowControlEnablebooleannoEnable Flow Control, only valid when creating network.
tagIdsarray<string>noTag ID List
deviceListarray<PortBindingVO>noDevice List
internetPortsarray<string>noInternet Ports
vlanTypeintegeryesNetwork type, It should be a value as follows : 0:single vlan 1:multi vlan
vlanintegernovlan, only valid when vlanType is 0 (single vlan)
vlansstringnovlans, only valid when vlanType is 1 (multi vlan). VLAN format: 200, 1-100.
assignIpDeviceTypeintegeryesAssign Ip Device Type. It should be a value as follows: 1: gateway 2: switch 0: third-party
assignIpDeviceMacstringnoAssign Ip Device Mac.
assignIpStackIdstringnoAssign Ip Stack Id, only valid when assigned ip device is a stack.
json
// omada_call_operation
{
  "operationId": "checkTemplatePortBindingParamWhenModify",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Check port binding when modifying network for site template
The interface requires one of the permissions:
Global Site Template Manager View Only

getVlanNetworkAffectedDevice ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/vlan/{vlan}/devices

Get device template list that use the network

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID
vlanpathstringyesVlan ID
json
// omada_call_operation
{
  "operationId": "getVlanNetworkAffectedDevice",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>",
    "vlan": "<vlan>"
  }
}
Details, permissions and error codes

Get device template list that use the network
The interface requires one of the permissions:
Global Site Template Manager View Only

getTemplateGridVlanNetworkAffectedDevicePorts ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/vlan/{vlan}/ports

Get the ports of devices template that use the network

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID
vlanpathstringyesVlan ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getTemplateGridVlanNetworkAffectedDevicePorts",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>",
    "vlan": "<vlan>"
  }
}
Details, permissions and error codes

Get the ports of devices template that use the network.
The interface requires one of the permissions:
Global Site Template Manager View Only

getVlanNetworkAffectedSsid ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/vlan/{vlan}/ssids

Get grid ssid template list that use the vlan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
networkIdpathstringyesNetwork ID
vlanpathstringyesVlan ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getVlanNetworkAffectedSsid",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "networkId": "<networkId>",
    "vlan": "<vlan>"
  }
}
Details, permissions and error codes

Get grid ssid template list that use the vlan
The interface requires one of the permissions:
Global Site Template Manager View Only

getAutoEffectDevicesTemplateWhenCreate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/auto-effect-devices

Get auto effect devices when creating network

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema LanNetworkOpenApiV3VO

FieldTypeRequiredDescription
namestringyesLAN network name should contain 1 to 128 characters.
vlanTypeintegernoVLANType should be a value as follows: 0: Single; 1: Multiple
vlansstringnoOnly valid when vlanType is 1 and device type is 0 , 1 or 3. When device type is 0 or 3, batch create single vlan, when deviceType is 1 , create bridge vlan. VLAN format: 200, 1-100.
vlanintegernoOnly Valid when vlanType is 0. Vlan should be within the range of 1-4094.
gatewaySubnetstringnoWhen deviceType is 1, gateway subnet is needed. Format: IP/Mask
dhcpSettingsDhcpSettingConfigno(DhcpSettingConfig not expanded; call omada_get_schema "DhcpSettingConfig")
domainstringnoThe domain of this network
igmpSnoopEnablebooleanyesEnable IGMP snooping
mldSnoopEnablebooleannoEnable MLD snooping
dhcpL2RelayEnablebooleannoThe switch of DHCP L2 relay
dhcpGuardDhcp Servers settingno(Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting")
dhcpv6GuardDhcpv6 Servers settingno(Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting")
lanNetworkIpv6ConfigLan network IPV6 configno(Lan network IPV6 config not expanded; call omada_get_schema "Lan network IPV6 config")
arpDetectionEnablebooleannoEnable arp detection. Only valid when deviceType is 1 and gateway supports this feature.
isolationbooleannoWhether network isolated.
qosQueueEnablebooleannoThe switch of QoS queue.
queueIdintegernoQoS queue Id.
deviceTypeintegeryesDHCP Server Device type. It should be a value as follows: 0:External Device 1:gateway 2:switch 3:none
deviceMacstringnoDHCP Server Device mac. Only valid when deviceType is 1 or 2. When deviceType is 1, deviceMac can be empty when there is no gateway in the site.
stackIdstringnoDHCP Server Device stackId. Only valid when deviceType is 2 and the selected device is stack
ipOswIpSettingBriefOpenapiVOno(OswIpSettingBriefOpenapiVO not expanded; call omada_get_schema "OswIpSettingBriefOpenapiVO")
modeintegernoDHCP mode. 0: None 1: DHCP Server 2: DHCP Relay. Only valid when deviceType is 2.
vrfIdstringnoVRF ID
dhcpServerOswDhcpServerOpenApiVOno(OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO")
dhcpRelayOswDhcpRelayOpenApiVOno(OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO")
subnetOverrideEnablebooleannoThe switch status of DHCP Settings Overrides.
json
// omada_call_operation
{
  "operationId": "getAutoEffectDevicesTemplateWhenCreate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get auto effect devices when creating network.
The interface requires one of the permissions:
Global Site Template Manager View Only

checkTemplateParamAndGetPreConfig ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/check

Check all parameters and generate configuration when creating network template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateVlanParamOpenApiVO

FieldTypeRequiredDescription
lanNetworkLanNetworkOpenApiV3VOyes(LanNetworkOpenApiV3VO not expanded; call omada_get_schema "LanNetworkOpenApiV3VO")
deviceConfigSelectPortBindingBriefVOyes(SelectPortBindingBriefVO not expanded; call omada_get_schema "SelectPortBindingBriefVO")
json
// omada_call_operation
{
  "operationId": "checkTemplateParamAndGetPreConfig",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Check all parameters and generate configuration when creating network template
The interface requires one of the permissions:
Global Site Template Manager View Only

confirmCreateVlanNetworkTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/confirm

Confirm create lan network template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateVlanParamOpenApiVO

FieldTypeRequiredDescription
lanNetworkLanNetworkOpenApiV3VOyes(LanNetworkOpenApiV3VO not expanded; call omada_get_schema "LanNetworkOpenApiV3VO")
deviceConfigSelectPortBindingBriefVOyes(SelectPortBindingBriefVO not expanded; call omada_get_schema "SelectPortBindingBriefVO")
json
// omada_call_operation
{
  "operationId": "confirmCreateVlanNetworkTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Confirm create lan network template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33500 - Network name already existed.
-33501 - This VLAN ID is already used by the WAN interface.
-33506 - This Profile name already exists.
-33546 - The number of networks has reached the limit of 4094.
-33547 - The number of VLANs has reached the limit of gateway.
-33548 - The number of VLANs has reached the limit of switch.
-35914 - The number of VLANs configured with the gateway as the DHCP server has reached the limit.

getGridSupportVlanNetworkDevicesBySiteTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/devices

Get device template list that can be dhcp server

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSupportVlanNetworkDevicesBySiteTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get device template list that can be dhcp server
The interface requires one of the permissions:
Global Site Template Manager View Only

getSelectDeviceTemplatePortsInfo ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/devices/ports

Get the port information of the selected device templates when creating network for site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SelectMacsWithVlanVO

FieldTypeRequiredDescription
macsarray<string>yesDevice mac list for Site Setting or device template ID list for Site Template Setting
vlanTypeintegeryesNetwork type, It should be a value as follows : 0:single vlan 1:multi vlan
vlanintegernovlan, only valid when vlanType is 0 (single vlan)
vlansstringnovlans, only valid when vlanType is 1 (multi vlan). VLAN format: 200, 1-100.
json
// omada_call_operation
{
  "operationId": "getSelectDeviceTemplatePortsInfo",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get the port information of the selected device templates when creating network for site template
The interface requires one of the permissions:
Global Site Template Manager View Only

checkNetworkTemplateParamWhenCreate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/param-check

Check basic parameters when creating network template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema LanNetworkOpenApiV3VO

FieldTypeRequiredDescription
namestringyesLAN network name should contain 1 to 128 characters.
vlanTypeintegernoVLANType should be a value as follows: 0: Single; 1: Multiple
vlansstringnoOnly valid when vlanType is 1 and device type is 0 , 1 or 3. When device type is 0 or 3, batch create single vlan, when deviceType is 1 , create bridge vlan. VLAN format: 200, 1-100.
vlanintegernoOnly Valid when vlanType is 0. Vlan should be within the range of 1-4094.
gatewaySubnetstringnoWhen deviceType is 1, gateway subnet is needed. Format: IP/Mask
dhcpSettingsDhcpSettingConfigno(DhcpSettingConfig not expanded; call omada_get_schema "DhcpSettingConfig")
domainstringnoThe domain of this network
igmpSnoopEnablebooleanyesEnable IGMP snooping
mldSnoopEnablebooleannoEnable MLD snooping
dhcpL2RelayEnablebooleannoThe switch of DHCP L2 relay
dhcpGuardDhcp Servers settingno(Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting")
dhcpv6GuardDhcpv6 Servers settingno(Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting")
lanNetworkIpv6ConfigLan network IPV6 configno(Lan network IPV6 config not expanded; call omada_get_schema "Lan network IPV6 config")
arpDetectionEnablebooleannoEnable arp detection. Only valid when deviceType is 1 and gateway supports this feature.
isolationbooleannoWhether network isolated.
qosQueueEnablebooleannoThe switch of QoS queue.
queueIdintegernoQoS queue Id.
deviceTypeintegeryesDHCP Server Device type. It should be a value as follows: 0:External Device 1:gateway 2:switch 3:none
deviceMacstringnoDHCP Server Device mac. Only valid when deviceType is 1 or 2. When deviceType is 1, deviceMac can be empty when there is no gateway in the site.
stackIdstringnoDHCP Server Device stackId. Only valid when deviceType is 2 and the selected device is stack
ipOswIpSettingBriefOpenapiVOno(OswIpSettingBriefOpenapiVO not expanded; call omada_get_schema "OswIpSettingBriefOpenapiVO")
modeintegernoDHCP mode. 0: None 1: DHCP Server 2: DHCP Relay. Only valid when deviceType is 2.
vrfIdstringnoVRF ID
dhcpServerOswDhcpServerOpenApiVOno(OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO")
dhcpRelayOswDhcpRelayOpenApiVOno(OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO")
subnetOverrideEnablebooleannoThe switch status of DHCP Settings Overrides.
json
// omada_call_operation
{
  "operationId": "checkNetworkTemplateParamWhenCreate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Check basic parameters when creating network template
The interface requires one of the permissions:
Global Site Template Manager View Only

checkTemplatePortBindingParamWhenCreate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/ports-check

Check selected ports when creating network for site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SelectPortBindingVO

FieldTypeRequiredDescription
portIsolationEnablebooleannoEnable Port Isolation, only valid when creating network.
flowControlEnablebooleannoEnable Flow Control, only valid when creating network.
tagIdsarray<string>noTag ID List
deviceListarray<PortBindingVO>noDevice List
internetPortsarray<string>noInternet Ports
vlanTypeintegeryesNetwork type, It should be a value as follows : 0:single vlan 1:multi vlan
vlanintegernovlan, only valid when vlanType is 0 (single vlan)
vlansstringnovlans, only valid when vlanType is 1 (multi vlan). VLAN format: 200, 1-100.
assignIpDeviceTypeintegeryesAssign Ip Device Type. It should be a value as follows: 1: gateway 2: switch 0: third-party
assignIpDeviceMacstringnoAssign Ip Device Mac.
assignIpStackIdstringnoAssign Ip Stack Id, only valid when assigned ip device is a stack.
json
// omada_call_operation
{
  "operationId": "checkTemplatePortBindingParamWhenCreate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Check selected ports when creating network for site template
The interface requires one of the permissions:
Global Site Template Manager View Only

getAvailableVirtualWanTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/available-virtual-wans

Query available virtual WAN list for template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getAvailableVirtualWanTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Query available virtual WAN list for template.
The interface requires one of the permissions:
Global Site Template Manager View Only

getSpeedTestV2SettingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/speedTest

Get SpeedTest Setting Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSpeedTestV2SettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get SpeedTest Setting Template.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifySpeedTestV2SettingTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/speedTest

Modify SpeedTest Setting Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema ModifySpeedTestV2SettingOpenApiVO

FieldTypeRequiredDescription
autoSpeedTestbooleanyesWhether enable scheduled speed testing.
timingTypeintegernoThe timing type of speed test setting: 1:Daily, 2:Weekly, 3:Monthly.
hourintegernoStart time of speed test(unit: hour); It should be within the range of 0~23.
minuteintegernoStart time of speed test(unit: minute); It should be within the range of 0~59.
dayOfWeekarray<integer>noIt is required when [timingType] is 2. The value should be within the range of 0(Sunday)~6(Saturday).
dayOfMontharray<integer>noIt is required when [timingType] is 3. The value should be within the range of 1~31.
json
// omada_call_operation
{
  "operationId": "modifySpeedTestV2SettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SpeedTest Setting Template.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

getGridVirtualWanTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans

Query virtual WAN list template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridVirtualWanTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Query virtual WAN list for template.
The interface requires one of the permissions:
Global Site Template Manager View Only

createVirtualWanTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans

Create virtual WAN template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema VirtualWanConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesVirtual WAN name should contain 1 to 128 characters. Only letters, digits and underscores are allowed.
physicalWanIdstringyesPhysical WAN ID. Physical WAN ID can be obtained from 'Get internet basic info' interface. Physical WAN ID. Physical WAN ID can be obtained from 'Get internet basic info' interface. Only DSL WAN, Ethernet WAN, and SFP WAN support virtual WAN configuration.
virtualWanIpv4SettingVirtualWanIpv4SettingConfigOpenApiVOyes(VirtualWanIpv4SettingConfigOpenApiVO not expanded; call omada_get_schema "VirtualWanIpv4SettingConfigOpenApiVO")
virtualWanDslVirtualWanDslOpenApiVOno(VirtualWanDslOpenApiVO not expanded; call omada_get_schema "VirtualWanDslOpenApiVO")
wanPortMacSettingVirtualWanMacSettingOpenApiVOno(VirtualWanMacSettingOpenApiVO not expanded; call omada_get_schema "VirtualWanMacSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "createVirtualWanTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create virtual WAN template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44701 - This VLAN ID is already used by the Virtual WAN interface.
-44702 - Duplicate names of the virtual WAN.
-44703 - When no gateway is adopted, at most 3 virtual WAN ports can be added.
-44704 - The number of enabled WAN ports and virtual WAN ports cannot exceed the number of WAN ports plus 3.
-44705 - At most 3 virtual WAN ports can be mapped to each WAN port.
-44706 - DSL setting cannot be null when DSL WAN is selected.
-44707 - The gateway does not support MssClamping in Virtual WAN.
-44708 - The gateway does not support DHCP Options in Virtual WAN.
-44709 - The gateway does not support PppoeMru in Virtual WAN.
-44710 - The gateway does not support DslMer in Virtual WAN.
-44711 - The gateway does not support Virtual WAN.
-44712 - The gateway only support DSL WAN.

deleteVirtualWan ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans/{virtualWanId}

Delete virtual WAN template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
virtualWanIdpathstringyesVirtual WAN ID
json
// omada_call_operation
{
  "operationId": "deleteVirtualWan",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "virtualWanId": "<virtualWanId>"
  }
}
Details, permissions and error codes

Delete virtual WAN template.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyVirtualWanTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans/{virtualWanId}

Modify virtual WAN template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
virtualWanIdpathstringyesVirtual WAN ID

Request body — application/json (required) — schema VirtualWanConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesVirtual WAN name should contain 1 to 128 characters. Only letters, digits and underscores are allowed.
physicalWanIdstringyesPhysical WAN ID. Physical WAN ID can be obtained from 'Get internet basic info' interface. Physical WAN ID. Physical WAN ID can be obtained from 'Get internet basic info' interface. Only DSL WAN, Ethernet WAN, and SFP WAN support virtual WAN configuration.
virtualWanIpv4SettingVirtualWanIpv4SettingConfigOpenApiVOyes(VirtualWanIpv4SettingConfigOpenApiVO not expanded; call omada_get_schema "VirtualWanIpv4SettingConfigOpenApiVO")
virtualWanDslVirtualWanDslOpenApiVOno(VirtualWanDslOpenApiVO not expanded; call omada_get_schema "VirtualWanDslOpenApiVO")
wanPortMacSettingVirtualWanMacSettingOpenApiVOno(VirtualWanMacSettingOpenApiVO not expanded; call omada_get_schema "VirtualWanMacSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyVirtualWanTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "virtualWanId": "<virtualWanId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify virtual WAN template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44700 - This virtual WAN does not exist.
-44701 - This VLAN ID is already used by the Virtual WAN interface.
-44702 - Duplicate names of the virtual WAN.
-44703 - When no gateway is adopted, at most 3 virtual WAN ports can be added.
-44704 - The number of enabled WAN ports and virtual WAN ports cannot exceed the number of WAN ports plus 3.
-44705 - At most 3 virtual WAN ports can be mapped to each WAN port.
-44706 - DSL setting cannot be null when DSL WAN is selected.
-44707 - The gateway does not support MssClamping in Virtual WAN.
-44708 - The gateway does not support DHCP Options in Virtual WAN.
-44709 - The gateway does not support PppoeMru in Virtual WAN.
-44710 - The gateway does not support DslMer in Virtual WAN.
-44711 - The gateway does not support Virtual WAN.
-44712 - The gateway only support DSL WAN.

modifyVirtualWanStatusTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans/{virtualWanId}/status

Modify virtual WAN status template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
virtualWanIdpathstringyesVirtual WAN ID

Request body — application/json (required) — schema VirtualWanStatusOpenApiVO

FieldTypeRequiredDescription
statusbooleanyesThe status of virtual WAN, valid values are true or false.
json
// omada_call_operation
{
  "operationId": "modifyVirtualWanStatusTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "virtualWanId": "<virtualWanId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify virtual WAN status template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44700 - This virtual WAN does not exist.

checkVirtualWanUsed ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans/delete-check

Check Virtual Wan Used

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
virtualWanIdquerystringyesVirtual WAN ID
json
// omada_call_operation
{
  "operationId": "checkVirtualWanUsed",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "virtualWanId": "<virtualWanId>"
  }
}
Details, permissions and error codes

check configurations who have used current virtualWan
The interface requires one of the permissions:
Global Site Template Manager View Only

getAvailableWanPorts ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/wan-ports

Get available wan ports

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
functionqueryintegeryesfunction used for wan ports query. 0: ACL, 1: QOS, 2: IP_MAC_BLINDING, 3: IGMP_PROXY, 4: VIRTUAL_WAN, 5: PORT_FROWARDING, 6: OTONAT, 7: BANDWIDTH_CONTROL, 8: STATIC_ROUTING, 9: POLICY_ROUTING, 10: VPN, 11: SSL_VPN, 12: DDNS, 13: UPNP, 14: MLD, 15: LAN
json
// omada_call_operation
{
  "operationId": "getAvailableWanPorts",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "function": "<function>"
  }
}
Details, permissions and error codes

Get available wan ports for template
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyWanPortsTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/wan-ports

Modify Wan Ports

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema WanPortsOpenApiVO

FieldTypeRequiredDescription
enablebooleanyeswhether to enable wan Settings Override
preOsgModelintegernoselect gateway model, you can query option from 'Get supported gateway model list for pre-configuration'. If already choose or adopted gateway,use current gateway model id.
wanPortNumintegernocustom number of wan ports, only for preOsgModel at 2
portUuidsarray<string>noselect wan ports to open, and other wan ports will be closed, you can get port uuid list from 'Get internet basic info'.
forceChangebooleannoForce change wan ports. If set true, wan ports will be modified without check, and the gateway will reboot. If set false, consequence will be checked and return check result.
json
// omada_call_operation
{
  "operationId": "modifyWanPortsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

modify wan ports for site template, Note that modify wan ports will cause gateway reboot. You need to configure a gateway in Device Template to use this function.
The interface requires one of the permissions:
Global Site Template Manager Modify

getAllValidVlansInSiteForSwitchOuiBasedVlan ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/valid-vlans

Get valid site template vlanList for switch oui based vlan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getAllValidVlansInSiteForSwitchOuiBasedVlan",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get valid site template vlanList for switch oui based vlan
The interface requires one of the permissions:
Global Site Template Manager View Only

checkWanLanStatus ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wan-lan-status

Check template WAN-LAN status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "checkWanLanStatus",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get gateway template basic info and template WAN/LAN list. Use this API to operate "LanNetwork".
The interface requires one of the permissions:
Global Site Template Manager View Only

getWanPortsMaxSpeed ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wan-max-speed

Get wan ports max speed

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wanIdquerystringyesWanId, can pass multiple wan ports using comma separator like '{portId1},{portId2}'.
json
// omada_call_operation
{
  "operationId": "getWanPortsMaxSpeed",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wanId": "<wanId>"
  }
}
Details, permissions and error codes

Get max speed for certain wan ports for template,if ports doesn't exist, this interface will return default result
The interface requires one of the permissions:
Global Site Template Manager View Only

modifySinglePortSettingTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wan/networks/port-setting

Modify Wan Port Settings Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema InternetPortOpenApiVO

FieldTypeRequiredDescription
typeintegeryesThe Type of the Internet port as follows: 0: WAN; 1: USB; 2: LTE; 3: DSL.
wanPortSettingWanPortSettingOpenApiVOno(WanPortSettingOpenApiVO not expanded; call omada_get_schema "WanPortSettingOpenApiVO")
usbLteSettingUsbLteSettingOpenApiVOno(UsbLteSettingOpenApiVO not expanded; call omada_get_schema "UsbLteSettingOpenApiVO")
lteWanSettingLteWanSettingOpenApiVOno(LteWanSettingOpenApiVO not expanded; call omada_get_schema "LteWanSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifySinglePortSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Wan Port Settings Template.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33400 - Current site has no WAN.
-33411 - Current gateway is not connected.
-33442 - Unable to change WAN settings. Please enable the internet override function first.

batchIsolateLanNetwork ​

POST /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/batch-isolate

Batch isolate network

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema BatchIsolateInterfaceOpenApiVO

FieldTypeRequiredDescription
idsarray<string>noA list of network Id which is selected to isolate or de-isolate.
isolationbooleannoThe isolation status after batch isolate or de-isolate.
selectAllbooleannoWhether select all networks.
json
// omada_call_operation
{
  "operationId": "batchIsolateLanNetwork",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch isolate network.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33507 - This profile does not exist.

getAllInterfacesForBatchIsolate ​

GET /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/isolate/interfaces

Get interface Grid

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
searchKeyquerystringnoFuzzy query parameters, support field
isolation_filterqueryintegernonon-isolation set 0; isolation set 1; don't filter isolation vlan set 2.
json
// omada_call_operation
{
  "operationId": "getAllInterfacesForBatchIsolate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get interface Grid.
The interface requires one of the permissions:
Global Site Template Manager View Only

getOswLanProfileTemplateList ​

GET /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles

Get switch profile template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOswLanProfileTemplateList",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get switch profile template list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createOswLanProfileTemplate ​

POST /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles

Create new switch profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema LanProfileSettingOpenApiVO

FieldTypeRequiredDescription
namestringyesName should contain 1 to 128 characters.
poeintegeryesPoE should be a value as follows: 0: off, 1: on, 2: "do not modify"
vlanConfigEnablebooleannoVlan configuration enable status
networkTagsSettingintegernonetwork Tags configuration mode should be a value as follows: 0:allow all, 1:block all, 2:custom
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
voiceDscpEnablebooleannoIndicates whether voice DSCP is enabled
voiceDscpintegernoVoice DSCP
esEnablebooleannoES enable status
esTaggedModifiedbooleannoIndicates whether ES Tagged is modified
esEnableTaggedNetworkIdsarray<string>noES enable tagged network ids
dot1xintegeryesDot1x should be a value as follows: 0: force unauthorized, 1: force authorized, 2:auto
portIsolationEnablebooleanyesPort-isolation enable status
lldpMedEnablebooleanyesLLDP-MED enable status
bandWidthCtrlTypeintegeryesBandWidthCtrlType should be a value as follows: 0: off, 1: rate limit, 2: storming control
stormCtrlStormCtrlVOno(StormCtrlVO not expanded; call omada_get_schema "StormCtrlVO")
bandCtrlBandCtrlVOno(BandCtrlVO not expanded; call omada_get_schema "BandCtrlVO")
spanningTreeEnablebooleanyesSpanningTree enable status
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleanyesLoopbackDetect enable status
eeeEnablebooleannoEEE enable status
flowControlEnablebooleannoFlowControl enable status
loopbackDetectVlanBasedEnablebooleannoLoopbackDetectVLANBased enable status
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
dhcpL2RelaySettingsDhcpL2RelayVOno(DhcpL2RelayVO not expanded; call omada_get_schema "DhcpL2RelayVO")
fastLeaveEnablebooleannoIGMP Snooping fast leave enable status
dot1pPriorityintegerno802.1p Priority
trustModeintegernoTrust mode
json
// omada_call_operation
{
  "operationId": "createOswLanProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new switch profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

deleteOswLanProfileTemplate ​

DELETE /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles/{profileId}

Delete an existing switch profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesLAN profile ID
json
// omada_call_operation
{
  "operationId": "deleteOswLanProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  }
}
Details, permissions and error codes

Delete an existing switch profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33507 - This profile does not exist.

modifyOswLanProfileTemplate ​

PATCH /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles/{profileId}

Modify a switch profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyeslanProfileId

Request body — application/json (required) — schema LanProfileSettingOpenApiVO

FieldTypeRequiredDescription
namestringyesName should contain 1 to 128 characters.
poeintegeryesPoE should be a value as follows: 0: off, 1: on, 2: "do not modify"
vlanConfigEnablebooleannoVlan configuration enable status
networkTagsSettingintegernonetwork Tags configuration mode should be a value as follows: 0:allow all, 1:block all, 2:custom
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
voiceDscpEnablebooleannoIndicates whether voice DSCP is enabled
voiceDscpintegernoVoice DSCP
esEnablebooleannoES enable status
esTaggedModifiedbooleannoIndicates whether ES Tagged is modified
esEnableTaggedNetworkIdsarray<string>noES enable tagged network ids
dot1xintegeryesDot1x should be a value as follows: 0: force unauthorized, 1: force authorized, 2:auto
portIsolationEnablebooleanyesPort-isolation enable status
lldpMedEnablebooleanyesLLDP-MED enable status
bandWidthCtrlTypeintegeryesBandWidthCtrlType should be a value as follows: 0: off, 1: rate limit, 2: storming control
stormCtrlStormCtrlVOno(StormCtrlVO not expanded; call omada_get_schema "StormCtrlVO")
bandCtrlBandCtrlVOno(BandCtrlVO not expanded; call omada_get_schema "BandCtrlVO")
spanningTreeEnablebooleanyesSpanningTree enable status
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleanyesLoopbackDetect enable status
eeeEnablebooleannoEEE enable status
flowControlEnablebooleannoFlowControl enable status
loopbackDetectVlanBasedEnablebooleannoLoopbackDetectVLANBased enable status
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
dhcpL2RelaySettingsDhcpL2RelayVOno(DhcpL2RelayVO not expanded; call omada_get_schema "DhcpL2RelayVO")
fastLeaveEnablebooleannoIGMP Snooping fast leave enable status
dot1pPriorityintegerno802.1p Priority
trustModeintegernoTrust mode
json
// omada_call_operation
{
  "operationId": "modifyOswLanProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a switch profile template template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33507 - This profile does not exist.

getLanNetworkTemplateListV3 ​

GET /openapi/v3/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks

Get LAN network template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getLanNetworkTemplateListV3",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get LAN network template list.(Pagination)
The interface requires one of the permissions:
Global Site Template Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.